StarGraphicStruct::StarGraphic Class Reference

Class to store a graphic. More...

`#include <StarGraphicStruct.hxx>`

## Public Member Functions

| StarGraphic ()
| constructor
bool | read (StarZone &zone, long lastPos=-1)
| try to read a graphic, give lastPos if you are sure of the end graphic position

## Public Attributes

STOFFEmbeddedObject | m_object
| the embedded object
std::shared_ptr< StarBitmap > | m_bitmap
| the bitmap

## Detailed Description

Class to store a graphic.

## Constructor & Destructor Documentation

## StarGraphic()

StarGraphicStruct::StarGraphic::StarGraphic | ( |  | ) |

inline

constructor

## Member Function Documentation

## read()

bool StarGraphicStruct::StarGraphic::read | ( | StarZone & | zone,
|  | long | lastPos = -1 )

try to read a graphic, give lastPos if you are sure of the end graphic position

Referenced by StarFileManager::readEmbeddedPicture().

## Member Data Documentation

## m_bitmap

std::shared_ptr<StarBitmap> StarGraphicStruct::StarGraphic::m_bitmap

the bitmap

Referenced by StarGraphic().

## m_object

STOFFEmbeddedObject StarGraphicStruct::StarGraphic::m_object

the embedded object

Referenced by read(), StarFileManager::readEmbeddedPicture(), and StarGraphic().

The documentation for this class was generated from the following files:

- StarGraphicStruct.hxx
- StarGraphicStruct.cxx